Linux - exit

首页 / Linux / Linux - exit

退出当前的shell

补充说明

exit命令 同于退出shell,并返回给定值。在shell脚本中可以终止当前脚本执行。执行exit可使shell以指定的状态值退出。若不设置状态值参数,则shell以预设值退出。状态值0代表执行成功,其他值代表执行失败。

语法

exit(参数)

参数

返回值:指定shell返回值。

实例

退出当前shell:

[[email protected] ~]# exit
logout

在脚本中,进入脚本所在目录,否则退出:

cd $(dirname $0) || exit 1

在脚本中,判断参数数量,不匹配就打印使用方式,退出:

if [ "$#" -ne "2" ]; then
    echo "usage: $0 <area> <hours>"
    exit 2
fi

在脚本中,退出时删除临时文件:

trap "rm -f tmpfile; echo Bye." EXIT

检查上一命令的退出码:

./mycommand.sh
EXCODE=$?
if [ "$EXCODE" == "0" ]; then
    echo "O.K"
fi

教程来源:网道(WangDoc.com)以及 Github 无私奉献

这一章《Linux - exit》你学到了什么?做站不易,你的分享是对我们最大的支持,感谢!😊

相关文章

iOS开发高手课 -〔戴铭 - 47讲〕

从0开始做增长 -〔刘津 - 44讲〕

Kafka核心技术与实战 -〔胡夕 - 47讲〕

MySQL 必知必会 -〔朱晓峰 - 36讲〕

错误消息“go:在当前目录或任何父目录中找不到 go.mod 文件;请参...

如何在 Linux 中使用命令行将 PDF 转换为 JPG?

加密/解密在两个不同的 openssl 版本之间不能很好地工作

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" 它是...

Vagrant chicken-and-egg:与 uid = apache 用户共享文件夹

cgroups 和命名空间的区别

视频推荐〔Linux - 6.3.3 rpm包管理-yum在线管理-光盘yum源〕

更多视频 »